curl --request GET \
--url https://api.plazbot.com/api/contact \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"workspaceId": "<string>",
"continuationToken": "<string>",
"data": [
{
"id": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"assignedAgentName": "<string>",
"segmentationId": "<string>",
"lastMessage": "<string>",
"lastMessageDate": "2023-11-07T05:31:56Z",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"platformSenderEmail": "<string>",
"isRead": true,
"isBotEnabled": true,
"isManuallyAdded": true,
"avatarColor": "<string>",
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"assignmentDate": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
],
"files": [
"<string>"
],
"isSolved": true,
"workspaceId": "<string>",
"name": "<string>",
"lastname": "<string>",
"email": "<string>",
"platformId": 123,
"stageId": "<string>",
"internalWhatsappNumber": "<string>",
"blocked": true
}
]
}
}Servicio para obtener los contactos del workspace. La respuesta viene paginada en bloques de 20 registros. Utilice el continuationToken para obtener la siguiente pagina.
curl --request GET \
--url https://api.plazbot.com/api/contact \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"workspaceId": "<string>",
"continuationToken": "<string>",
"data": [
{
"id": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"assignedAgentName": "<string>",
"segmentationId": "<string>",
"lastMessage": "<string>",
"lastMessageDate": "2023-11-07T05:31:56Z",
"platformSenderId": "<string>",
"platformSenderName": "<string>",
"platformSenderPhone": "<string>",
"platformSenderEmail": "<string>",
"isRead": true,
"isBotEnabled": true,
"isManuallyAdded": true,
"avatarColor": "<string>",
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"assignmentDate": "2023-11-07T05:31:56Z"
}
],
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
],
"files": [
"<string>"
],
"isSolved": true,
"workspaceId": "<string>",
"name": "<string>",
"lastname": "<string>",
"email": "<string>",
"platformId": 123,
"stageId": "<string>",
"internalWhatsappNumber": "<string>",
"blocked": true
}
]
}
}Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Identificador del workspace
Identificador del workspace
Token de paginacion para obtener los siguientes registros. Si es null, no hay mas registros.
Lista de contactos obtenida exitosamente